from parallels.core.utils.entity import Entity


class SpamFilter(Entity):
    def __init__(self, spam_filter_id, username):
        self._spam_filter_id = spam_filter_id
        self._username = username

    @property
    def spam_filter_id(self):
        """
        :rtype: str | unicode
        """
        return self._spam_filter_id

    @property
    def username(self):
        """
        :rtype: str | unicode
        """
        return self._username
